=head1 NAME

B<rmdef> - Use this command to remove xCAT data object definitions.


=head1 SYNOPSIS

B<rmdef> [B<-h>|B<--help>] [B<-t> I<object-types>]

B<rmdef> [B<-V>|B<--verbose>] [B<-a>|B<--all>] [B<-t> I<object-types>] [B<-o> I<object-names>]
[B<-f>|B<--force>] [I<noderange>]


=head1 DESCRIPTION

This command is used to remove xCAT object definitions that are stored in the xCAT database.


=head1 OPTIONS

=over 10

=item B<-a|--all>

Clear the whole xCAT database. A backup of the xCAT definitions should be saved before using this option.

=item B<-f|--force>

Use this with the all option as an extra indicator that ALL definitions are to be removed.

=item B<-h|--help>

Display a usage message.

=item I<noderange>

A set of comma delimited node names and/or group names. See the "noderange" man page for details on supported formats.

=item B<-o> I<object-names>

A set of comma delimited object names.

=item B<-t> I<object-types>

A set of comma delimited object types.

=item B<-V|--verbose>

Verbose mode.

=back

=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.


=head1 EXAMPLES

=over 3

=item 1. To completely clear the xCAT database.

 rmdef -f -a

=item 2. To remove a range of node definitions.

 rmdef -t node node1-node4

=item 3. To remove all node and group definitions.

 rmdef -t node,group

=item 4. To remove all node definitions for the nodes contained in the group bpcnodes.

 rmdef -t node -o bpcnodes

=item 5. To remove the group called bpcnodes.

 rmdef -t group -o bpcnodes

(This will also update the values of the "groups" attribute of the member nodes.)

=back

=head1 FILES

$XCATROOT/bin/rmdef

(The XCATROOT environment variable is set when xCAT is installed. The
default value is "/opt/xcat".)


=head1 NOTES

This command is part of the xCAT software product.

=head1 SEE ALSO

L<mkdef(1)|mkdef.1>, L<lsdef(1)|lsdef.1>, L<chdef(1)|chdef.1>, L<xcatstanzafile(5)|xcatstanzafile.5>